module Music.LilyPond.Light.Constant.NoteName where

import Music.LilyPond.Light.Model
import Music.Theory.Pitch

-- * Notes

mk_note :: Note_T -> Alteration_T -> Octave -> Music
mk_note n a o = Note (Pitch n a o) Nothing []

c1,d1,e1,f1,g1,a1,b1 :: Music
c1 = mk_note C Natural 1
d1 = mk_note D Natural 1
e1 = mk_note E Natural 1
f1 = mk_note F Natural 1
g1 = mk_note G Natural 1
a1 = mk_note A Natural 1
b1 = mk_note B Natural 1

ces1,des1,ees1,fes1,ges1,aes1,bes1 :: Music
ces1 = mk_note C Flat 1
des1 = mk_note D Flat 1
ees1 = mk_note E Flat 1
fes1 = mk_note F Flat 1
ges1 = mk_note G Flat 1
aes1 = mk_note A Flat 1
bes1 = mk_note B Flat 1

cis1,dis1,eis1,fis1,gis1,ais1,bis1 :: Music
cis1 = mk_note C Sharp 1
dis1 = mk_note D Sharp 1
eis1 = mk_note E Sharp 1
fis1 = mk_note F Sharp 1
gis1 = mk_note G Sharp 1
ais1 = mk_note A Sharp 1
bis1 = mk_note B Sharp 1

c2,d2,e2,f2,g2,a2,b2 :: Music
c2 = mk_note C Natural 2
d2 = mk_note D Natural 2
e2 = mk_note E Natural 2
f2 = mk_note F Natural 2
g2 = mk_note G Natural 2
a2 = mk_note A Natural 2
b2 = mk_note B Natural 2

ces2,des2,ees2,fes2,ges2,aes2,bes2 :: Music
ces2 = mk_note C Flat 2
des2 = mk_note D Flat 2
ees2 = mk_note E Flat 2
fes2 = mk_note F Flat 2
ges2 = mk_note G Flat 2
aes2 = mk_note A Flat 2
bes2 = mk_note B Flat 2

cis2,dis2,eis2,fis2,gis2,ais2,bis2 :: Music
cis2 = mk_note C Sharp 2
dis2 = mk_note D Sharp 2
eis2 = mk_note E Sharp 2
fis2 = mk_note F Sharp 2
gis2 = mk_note G Sharp 2
ais2 = mk_note A Sharp 2
bis2 = mk_note B Sharp 2

cisis2,disis2,eisis2,fisis2,gisis2,aisis2,bisis2 :: Music
cisis2 = mk_note C DoubleSharp 2
disis2 = mk_note D DoubleSharp 2
eisis2 = mk_note E DoubleSharp 2
fisis2 = mk_note F DoubleSharp 2
gisis2 = mk_note G DoubleSharp 2
aisis2 = mk_note A DoubleSharp 2
bisis2 = mk_note B DoubleSharp 2

c3,d3,e3,f3,g3,a3,b3 :: Music
c3 = mk_note C Natural 3
d3 = mk_note D Natural 3
e3 = mk_note E Natural 3
f3 = mk_note F Natural 3
g3 = mk_note G Natural 3
a3 = mk_note A Natural 3
b3 = mk_note B Natural 3

ces3,des3,ees3,fes3,ges3,aes3,bes3 :: Music
ces3 = mk_note C Flat 3
des3 = mk_note D Flat 3
ees3 = mk_note E Flat 3
fes3 = mk_note F Flat 3
ges3 = mk_note G Flat 3
aes3 = mk_note A Flat 3
bes3 = mk_note B Flat 3

cis3,dis3,eis3,fis3,gis3,ais3,bis3 :: Music
cis3 = mk_note C Sharp 3
dis3 = mk_note D Sharp 3
eis3 = mk_note E Sharp 3
fis3 = mk_note F Sharp 3
gis3 = mk_note G Sharp 3
ais3 = mk_note A Sharp 3
bis3 = mk_note B Sharp 3

cisis3,disis3,eisis3,fisis3,gisis3,aisis3,bisis3 :: Music
cisis3 = mk_note C DoubleSharp 3
disis3 = mk_note D DoubleSharp 3
eisis3 = mk_note E DoubleSharp 3
fisis3 = mk_note F DoubleSharp 3
gisis3 = mk_note G DoubleSharp 3
aisis3 = mk_note A DoubleSharp 3
bisis3 = mk_note B DoubleSharp 3

ceseh3,deseh3,eeseh3,feseh3,geseh3,aeseh3,beseh3 :: Music
ceseh3 = mk_note C ThreeQuarterToneFlat 3
deseh3 = mk_note D ThreeQuarterToneFlat 3
eeseh3 = mk_note E ThreeQuarterToneFlat 3
feseh3 = mk_note F ThreeQuarterToneFlat 3
geseh3 = mk_note G ThreeQuarterToneFlat 3
aeseh3 = mk_note A ThreeQuarterToneFlat 3
beseh3 = mk_note B ThreeQuarterToneFlat 3

ceh3,deh3,eeh3,feh3,geh3,aeh3,beh3 :: Music
ceh3 = mk_note C QuarterToneFlat 3
deh3 = mk_note D QuarterToneFlat 3
eeh3 = mk_note E QuarterToneFlat 3
feh3 = mk_note F QuarterToneFlat 3
geh3 = mk_note G QuarterToneFlat 3
aeh3 = mk_note A QuarterToneFlat 3
beh3 = mk_note B QuarterToneFlat 3

cih3,dih3,eih3,fih3,gih3,aih3,bih3 :: Music
cih3 = mk_note C QuarterToneSharp 3
dih3 = mk_note D QuarterToneSharp 3
eih3 = mk_note E QuarterToneSharp 3
fih3 = mk_note F QuarterToneSharp 3
gih3 = mk_note G QuarterToneSharp 3
aih3 = mk_note A QuarterToneSharp 3
bih3 = mk_note B QuarterToneSharp 3

cisih3,disih3,eisih3,fisih3,gisih3,aisih3,bisih3 :: Music
cisih3 = mk_note C ThreeQuarterToneSharp 3
disih3 = mk_note D ThreeQuarterToneSharp 3
eisih3 = mk_note E ThreeQuarterToneSharp 3
fisih3 = mk_note F ThreeQuarterToneSharp 3
gisih3 = mk_note G ThreeQuarterToneSharp 3
aisih3 = mk_note A ThreeQuarterToneSharp 3
bisih3 = mk_note B ThreeQuarterToneSharp 3

c4,d4,e4,f4,g4,a4,b4 :: Music
c4 = mk_note C Natural 4
d4 = mk_note D Natural 4
e4 = mk_note E Natural 4
f4 = mk_note F Natural 4
g4 = mk_note G Natural 4
a4 = mk_note A Natural 4
b4 = mk_note B Natural 4

ces4,des4,ees4,fes4,ges4,aes4,bes4 :: Music
ces4 = mk_note C Flat 4
des4 = mk_note D Flat 4
ees4 = mk_note E Flat 4
fes4 = mk_note F Flat 4
ges4 = mk_note G Flat 4
aes4 = mk_note A Flat 4
bes4 = mk_note B Flat 4

cis4,dis4,eis4,fis4,gis4,ais4,bis4 :: Music
cis4 = mk_note C Sharp 4
dis4 = mk_note D Sharp 4
eis4 = mk_note E Sharp 4
fis4 = mk_note F Sharp 4
gis4 = mk_note G Sharp 4
ais4 = mk_note A Sharp 4
bis4 = mk_note B Sharp 4

ceses4,deses4,eeses4,feses4,geses4,aeses4,beses4 :: Music
ceses4 = mk_note C DoubleFlat 4
deses4 = mk_note D DoubleFlat 4
eeses4 = mk_note E DoubleFlat 4
feses4 = mk_note F DoubleFlat 4
geses4 = mk_note G DoubleFlat 4
aeses4 = mk_note A DoubleFlat 4
beses4 = mk_note B DoubleFlat 4

cisis4,disis4,eisis4,fisis4,gisis4,aisis4,bisis4 :: Music
cisis4 = mk_note C DoubleSharp 4
disis4 = mk_note D DoubleSharp 4
eisis4 = mk_note E DoubleSharp 4
fisis4 = mk_note F DoubleSharp 4
gisis4 = mk_note G DoubleSharp 4
aisis4 = mk_note A DoubleSharp 4
bisis4 = mk_note B DoubleSharp 4

ceseh4,deseh4,eeseh4,feseh4,geseh4,aeseh4,beseh4 :: Music
ceseh4 = mk_note C ThreeQuarterToneFlat 4
deseh4 = mk_note D ThreeQuarterToneFlat 4
eeseh4 = mk_note E ThreeQuarterToneFlat 4
feseh4 = mk_note F ThreeQuarterToneFlat 4
geseh4 = mk_note G ThreeQuarterToneFlat 4
aeseh4 = mk_note A ThreeQuarterToneFlat 4
beseh4 = mk_note B ThreeQuarterToneFlat 4

ceh4,deh4,eeh4,feh4,geh4,aeh4,beh4 :: Music
ceh4 = mk_note C QuarterToneFlat 4
deh4 = mk_note D QuarterToneFlat 4
eeh4 = mk_note E QuarterToneFlat 4
feh4 = mk_note F QuarterToneFlat 4
geh4 = mk_note G QuarterToneFlat 4
aeh4 = mk_note A QuarterToneFlat 4
beh4 = mk_note B QuarterToneFlat 4

cih4,dih4,eih4,fih4,gih4,aih4,bih4 :: Music
cih4 = mk_note C QuarterToneSharp 4
dih4 = mk_note D QuarterToneSharp 4
eih4 = mk_note E QuarterToneSharp 4
fih4 = mk_note F QuarterToneSharp 4
gih4 = mk_note G QuarterToneSharp 4
aih4 = mk_note A QuarterToneSharp 4
bih4 = mk_note B QuarterToneSharp 4

cisih4,disih4,eisih4,fisih4,gisih4,aisih4,bisih4 :: Music
cisih4 = mk_note C ThreeQuarterToneSharp 4
disih4 = mk_note D ThreeQuarterToneSharp 4
eisih4 = mk_note E ThreeQuarterToneSharp 4
fisih4 = mk_note F ThreeQuarterToneSharp 4
gisih4 = mk_note G ThreeQuarterToneSharp 4
aisih4 = mk_note A ThreeQuarterToneSharp 4
bisih4 = mk_note B ThreeQuarterToneSharp 4

c5,d5,e5,f5,g5,a5,b5 :: Music
c5 = mk_note C Natural 5
d5 = mk_note D Natural 5
e5 = mk_note E Natural 5
f5 = mk_note F Natural 5
g5 = mk_note G Natural 5
a5 = mk_note A Natural 5
b5 = mk_note B Natural 5

ces5,des5,ees5,fes5,ges5,aes5,bes5 :: Music
ces5 = mk_note C Flat 5
des5 = mk_note D Flat 5
ees5 = mk_note E Flat 5
fes5 = mk_note F Flat 5
ges5 = mk_note G Flat 5
aes5 = mk_note A Flat 5
bes5 = mk_note B Flat 5

cis5,dis5,eis5,fis5,gis5,ais5,bis5 :: Music
cis5 = mk_note C Sharp 5
dis5 = mk_note D Sharp 5
eis5 = mk_note E Sharp 5
fis5 = mk_note F Sharp 5
gis5 = mk_note G Sharp 5
ais5 = mk_note A Sharp 5
bis5 = mk_note B Sharp 5

ceses5,deses5,eeses5,feses5,geses5,aeses5,beses5 :: Music
ceses5 = mk_note C DoubleFlat 5
deses5 = mk_note D DoubleFlat 5
eeses5 = mk_note E DoubleFlat 5
feses5 = mk_note F DoubleFlat 5
geses5 = mk_note G DoubleFlat 5
aeses5 = mk_note A DoubleFlat 5
beses5 = mk_note B DoubleFlat 5

cisis5,disis5,eisis5,fisis5,gisis5,aisis5,bisis5 :: Music
cisis5 = mk_note C DoubleSharp 5
disis5 = mk_note D DoubleSharp 5
eisis5 = mk_note E DoubleSharp 5
fisis5 = mk_note F DoubleSharp 5
gisis5 = mk_note G DoubleSharp 5
aisis5 = mk_note A DoubleSharp 5
bisis5 = mk_note B DoubleSharp 5

ceseh5,deseh5,eeseh5,feseh5,geseh5,aeseh5,beseh5 :: Music
ceseh5 = mk_note C ThreeQuarterToneFlat 5
deseh5 = mk_note D ThreeQuarterToneFlat 5
eeseh5 = mk_note E ThreeQuarterToneFlat 5
feseh5 = mk_note F ThreeQuarterToneFlat 5
geseh5 = mk_note G ThreeQuarterToneFlat 5
aeseh5 = mk_note A ThreeQuarterToneFlat 5
beseh5 = mk_note B ThreeQuarterToneFlat 5

ceh5,deh5,eeh5,feh5,geh5,aeh5,beh5 :: Music
ceh5 = mk_note C QuarterToneFlat 5
deh5 = mk_note D QuarterToneFlat 5
eeh5 = mk_note E QuarterToneFlat 5
feh5 = mk_note F QuarterToneFlat 5
geh5 = mk_note G QuarterToneFlat 5
aeh5 = mk_note A QuarterToneFlat 5
beh5 = mk_note B QuarterToneFlat 5

cih5,dih5,eih5,fih5,gih5,aih5,bih5 :: Music
cih5 = mk_note C QuarterToneSharp 5
dih5 = mk_note D QuarterToneSharp 5
eih5 = mk_note E QuarterToneSharp 5
fih5 = mk_note F QuarterToneSharp 5
gih5 = mk_note G QuarterToneSharp 5
aih5 = mk_note A QuarterToneSharp 5
bih5 = mk_note B QuarterToneSharp 5

cisih5,disih5,eisih5,fisih5,gisih5,aisih5,bisih5 :: Music
cisih5 = mk_note C ThreeQuarterToneSharp 5
disih5 = mk_note D ThreeQuarterToneSharp 5
eisih5 = mk_note E ThreeQuarterToneSharp 5
fisih5 = mk_note F ThreeQuarterToneSharp 5
gisih5 = mk_note G ThreeQuarterToneSharp 5
aisih5 = mk_note A ThreeQuarterToneSharp 5
bisih5 = mk_note B ThreeQuarterToneSharp 5

c6,d6,e6,f6,g6,a6,b6 :: Music
c6 = mk_note C Natural 6
d6 = mk_note D Natural 6
e6 = mk_note E Natural 6
f6 = mk_note F Natural 6
g6 = mk_note G Natural 6
a6 = mk_note A Natural 6
b6 = mk_note B Natural 6

ces6,des6,ees6,fes6,ges6,aes6,bes6 :: Music
ces6 = mk_note C Flat 6
des6 = mk_note D Flat 6
ees6 = mk_note E Flat 6
fes6 = mk_note F Flat 6
ges6 = mk_note G Flat 6
aes6 = mk_note A Flat 6
bes6 = mk_note B Flat 6

cis6,dis6,eis6,fis6,gis6,ais6,bis6 :: Music
cis6 = mk_note C Sharp 6
dis6 = mk_note D Sharp 6
eis6 = mk_note E Sharp 6
fis6 = mk_note F Sharp 6
gis6 = mk_note G Sharp 6
ais6 = mk_note A Sharp 6
bis6 = mk_note B Sharp 6

ceseh6,deseh6,eeseh6,feseh6,geseh6,aeseh6,beseh6 :: Music
ceseh6 = mk_note C ThreeQuarterToneFlat 6
deseh6 = mk_note D ThreeQuarterToneFlat 6
eeseh6 = mk_note E ThreeQuarterToneFlat 6
feseh6 = mk_note F ThreeQuarterToneFlat 6
geseh6 = mk_note G ThreeQuarterToneFlat 6
aeseh6 = mk_note A ThreeQuarterToneFlat 6
beseh6 = mk_note B ThreeQuarterToneFlat 6

ceh6,deh6,eeh6,feh6,geh6,aeh6,beh6 :: Music
ceh6 = mk_note C QuarterToneFlat 6
deh6 = mk_note D QuarterToneFlat 6
eeh6 = mk_note E QuarterToneFlat 6
feh6 = mk_note F QuarterToneFlat 6
geh6 = mk_note G QuarterToneFlat 6
aeh6 = mk_note A QuarterToneFlat 6
beh6 = mk_note B QuarterToneFlat 6

cih6,dih6,eih6,fih6,gih6,aih6,bih6 :: Music
cih6 = mk_note C QuarterToneSharp 6
dih6 = mk_note D QuarterToneSharp 6
eih6 = mk_note E QuarterToneSharp 6
fih6 = mk_note F QuarterToneSharp 6
gih6 = mk_note G QuarterToneSharp 6
aih6 = mk_note A QuarterToneSharp 6
bih6 = mk_note B QuarterToneSharp 6

cisih6,disih6,eisih6,fisih6,gisih6,aisih6,bisih6 :: Music
cisih6 = mk_note C ThreeQuarterToneSharp 6
disih6 = mk_note D ThreeQuarterToneSharp 6
eisih6 = mk_note E ThreeQuarterToneSharp 6
fisih6 = mk_note F ThreeQuarterToneSharp 6
gisih6 = mk_note G ThreeQuarterToneSharp 6
aisih6 = mk_note A ThreeQuarterToneSharp 6
bisih6 = mk_note B ThreeQuarterToneSharp 6

c7,d7,e7,f7,g7,a7,b7 :: Music
c7 = mk_note C Natural 7
d7 = mk_note D Natural 7
e7 = mk_note E Natural 7
f7 = mk_note F Natural 7
g7 = mk_note G Natural 7
a7 = mk_note A Natural 7
b7 = mk_note B Natural 7

ces7,des7,ees7,fes7,ges7,aes7,bes7 :: Music
ces7 = mk_note C Flat 7
des7 = mk_note D Flat 7
ees7 = mk_note E Flat 7
fes7 = mk_note F Flat 7
ges7 = mk_note G Flat 7
aes7 = mk_note A Flat 7
bes7 = mk_note B Flat 7

cis7,dis7,eis7,fis7,gis7,ais7,bis7 :: Music
cis7 = mk_note C Sharp 7
dis7 = mk_note D Sharp 7
eis7 = mk_note E Sharp 7
fis7 = mk_note F Sharp 7
gis7 = mk_note G Sharp 7
ais7 = mk_note A Sharp 7
bis7 = mk_note B Sharp 7
